*     G01BLF Example Program Text
*     Mark 14 Revised. NAG Copyright 1989.
*     .. Parameters ..
      INTEGER          NIN, NOUT
      PARAMETER        (NIN=5,NOUT=6)
*     .. Local Scalars ..
      DOUBLE PRECISION PEQK, PGTK, PLEK
      INTEGER          IFAIL, K, L, M, N
*     .. External Subroutines ..
      EXTERNAL         G01BLF
*     .. Executable Statements ..
      WRITE (NOUT,*) 'G01BLF Example Program Results'
*     Skip heading in data file
      READ (NIN,*)
      WRITE (NOUT,*)
      WRITE (NOUT,*) '   N   L   M   K     PLEK      PGTK      PEQK'
      WRITE (NOUT,*)
   20 READ (NIN,*,END=40) N, L, M, K
      IFAIL = 0
*
      CALL G01BLF(N,L,M,K,PLEK,PGTK,PEQK,IFAIL)
*
      WRITE (NOUT,99999) N, L, M, K, PLEK, PGTK, PEQK
      GO TO 20
   40 STOP
*
99999 FORMAT (1X,4I4,3F10.5)
      END
